use 教学成绩管理数据库
select left(xs.姓名,1) as 姓氏,
  xs.姓名 as 学生姓名, js.姓名 as 教师姓名
  from 教师信息表 as js 
     full join 学生信息表 as xs 
       on left(js.姓名,1) = left(xs.姓名,1)

select left(xs.姓名,1) as 姓氏,
  xs.姓名 as 学生姓名,js.姓名 as 教师姓名
  from 教师信息表 as js 
     join 学生信息表 as xs 
       on left(js.姓名,1) = left(xs.姓名,1)
